# Created by pyp2rpm-0.5.0
%global pypi_name profilehooks
%global with_python3 1

Name:           python-%{pypi_name}
Version:        1.6
Release:        1%{?dist}
Summary:        Decorators for profiling/timing/tracing individual functions

License:        MIT
URL:            http://pypi.python.org/pypi/profilehooks/1.6
Source0:        http://pypi.python.org/packages/source/p/profilehooks/profilehooks-1.6.tar.gz
BuildArch:      noarch
 
BuildRequires:  python-devel
BuildRequires:  python-setuptools
 
%if %{?with_python3}
BuildRequires:  python3-devel
BuildRequires:  python3-setuptools
%endif # if with_python3

%description
Profilehooks is a collection of decorators for profiling functions.


%if 0%{?with_python3}
%package -n     python3-%{pypi_name}
Summary:        Decorators for profiling/timing/tracing individual functions

%description -n python3-%{pypi_name}
Profilehooks is a collection of decorators for profiling functions.
%endif # with_python3


%prep
%setup -q -n %{pypi_name}-%{version}
# Remove bundled egg-info
rm -rf %{pypi_name}.egg-info

%if 0%{?with_python3}
rm -rf %{py3dir}
cp -a . %{py3dir}
find %{py3dir} -name '*.py' | xargs sed -i '1s|^#!python|#!%{__python3}|'

%endif # with_python3


%build
%{__python} setup.py build

%if 0%{?with_python3}
pushd %{py3dir}
%{__python3} setup.py build
popd
%endif # with_python3


%install
# Must do the subpackages' install first because the scripts in /usr/bin are
# overwritten with every setup.py install (and we want the python2 version
# to be the default for now).
%if 0%{?with_python3}
pushd %{py3dir}
%{__python3} setup.py install --skip-build --root %{buildroot}
popd
%endif # with_python3

%{__python} setup.py install --skip-build --root %{buildroot}


%check
# tests all available Python versions => don't need to switch to py3dir then
make test-all-pythons


%files
%doc README.txt
%{python_sitelib}/%{pypi_name}.py*
%{python_sitelib}/%{pypi_name}-%{version}-py?.?.egg-info

%if 0%{?with_python3}
%files -n python3-%{pypi_name}
%doc README.txt
%{python3_sitelib}/__pycache__/*
%{python3_sitelib}/%{pypi_name}.py
%{python3_sitelib}/%{pypi_name}-%{version}-py?.?.egg-info
%endif # with_python3


%changelog
* Tue Jun 05 2012 Bohuslav Kabrda <bkabrda@redhat.com> - 1.6-1
- Initial package.
